Welcome to the New BigPanda API Documentation
❗ API endpoint This API is called at integrations.bigpanda.io
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the Organization token type of Authorization token. Your org token must be provided in the header, prefixed by the word Bearer.
curl --location 'https://integrations.bigpanda.io/oim/api/preprocess' \
--header 'app_key_h;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"config": {
"preprocessing": [
{
"id": "shortenUrl",
"order": 1,
"params": {
"shortenAll": false
},
"tags": "[\n \"alert_severity\",\n \"other\"\n ]\n"
}
],
"additional_attributes": [
{
"isDestinationAccepted": true,
"isSourceAccepted": true,
"isSuggestion": true,
"name": "check",
"source": [
"@alert.labels.alertname",
"@alert.labels.check"
],
"suggestedDestination": "check",
"suggestedSources": [
"@alert.labels.alertname",
"@alert.labels.check"
],
"flatten": false
}
],
"array_source": "alerts",
"is_array": true,
"map_remaining": false,
"map_remaining_flatten_array": false,
"primary_property": [
{
"name": "host"
},
{
"name": "application"
},
{
"name": "service"
}
],
"secondary_property": [
{
"name": "check"
},
{
"name": "description"
}
],
"status": {
"default_to": "critical",
"source": [
"@alert.status",
"@alert.labels.severity"
],
"status_map": {
"critical": [
"page",
"critical"
],
"warning": [
"warn",
"warning"
],
"acknowledged": [
"acknowledged"
],
"ok": [
"resolved"
]
}
},
"bp_timestamp": {
"is_selected": true
},
"timestamp": {
"source": [
"@alert.annotations.timestamp",
"@alert.startsat",
"@alert.endsat"
]
},
"event_filter": "@alert.search_name = \"OSS -- MINT Core -- *\"",
"incident_identifier": [
"application",
"cluster"
],
"version": "2.0",
"is_default": true
},
"sample_payload": "{ \"sample_payload\": {\n \"alerts\": [\n {\n \"generatorURL\": \"https://some-url.io\",\n \"fingerprint\": \"123456789\",\n \"annotations\": {\n \"description\": \"This alert is used to check the CPU utilization of this non-existent server\",\n \"runbook_url\": \"https://runbook.io/cpu-check\"\n },\n \"startsAt\": \"2022-07-05T19:59:25.661Z\",\n \"endsAt\": \"0001-01-01T00:00:00Z\",\n \"status\": \"firing\",\n \"labels\": {\n \"severity\": \"page\",\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n }\n }\n ],\n \"commonLabels\": {\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n },\n \"externalURL\": \"https://external-url.io\",\n \"groupLabels\": {\n \"instance\": \"bigpanda-server\",\n \"alertname\": \"BigPanda Test\",\n \"team\": \"metrics\",\n \"env\": \"test\",\n \"job\": \"CPU Check\",\n \"locale\": \"ca\",\n \"timestamp\": \"1.657051103137505e+09\"\n },\n \"receiver\": \"bigpanda\",\n \"version\": \"4\",\n \"commonAnnotations\": {\n \"description\": \"This alert is used to check the CPU utilization of this non-existent server\",\n \"runbook_url\": \"https://runbook.io/cpu-check\"\n },\n \"status\": \"firing\"\n }\n"
}'{
"status": 201,
"data": {}
}